<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Excalibur</Series>
  <Number>26</Number>
  <Web>https://www.comixology.com/Excalibur-2019-26/digital-comic/967727</Web>
  <Volume>2019</Volume>
  <Summary>OTHERWORLD FALLS! Merlyn and King Arthur have taken the Starlight Citadel. Saturnyne still lives – but not for long. Betsy Braddock must decide once and for all where her loyalties lie. It’s all been building to this – the fantasy ends here and reality rushes in. There is no haven for the witchbreed. Can they hold on to their champion, here at the twilight of an age?</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB967727], [ASINB09G4XB745], [RELDATE:2021-12-15]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
